<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">

<!--Converted with LaTeX2HTML 2002-2-1 (1.70)
original version by:  Nikos Drakos, CBLU, University of Leeds
* revised and updated by:  Marcus Hennecke, Ross Moore, Herb Swan
* with significant contributions from:
  Jens Lippmann, Marek Rouchal, Martin Wilck and others -->
<HTML>
<HEAD>
<TITLE>Pipe, White-Colebrook</TITLE>
<META NAME="description" CONTENT="Pipe, White-Colebrook">
<META NAME="keywords" CONTENT="ccx">
<META NAME="resource-type" CONTENT="document">
<META NAME="distribution" CONTENT="global">

<META NAME="Generator" CONTENT="LaTeX2HTML v2002-2-1">
<META HTTP-EQUIV="Content-Style-Type" CONTENT="text/css">

<LINK REL="STYLESHEET" HREF="ccx.css">

<LINK REL="next" HREF="node93.html">
<LINK REL="previous" HREF="node91.html">
<LINK REL="up" HREF="node90.html">
<LINK REL="next" HREF="node93.html">
</HEAD>

<BODY >
<!--Navigation Panel-->
<A NAME="tex2html2082"
  HREF="node93.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="file:/usr/share/latex2html/icons/next.png"></A> 
<A NAME="tex2html2078"
  HREF="node90.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="file:/usr/share/latex2html/icons/up.png"></A> 
<A NAME="tex2html2072"
  HREF="node91.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="file:/usr/share/latex2html/icons/prev.png"></A> 
<A NAME="tex2html2080"
  HREF="node1.html">
<IMG WIDTH="65" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="contents"
 SRC="file:/usr/share/latex2html/icons/contents.png"></A>  
<BR>
<B> Next:</B> <A NAME="tex2html2083"
  HREF="node93.html">Pipe, Sudden Enlargement</A>
<B> Up:</B> <A NAME="tex2html2079"
  HREF="node90.html">Fluid Section Types: Liquids</A>
<B> Previous:</B> <A NAME="tex2html2073"
  HREF="node91.html">Pipe, Manning</A>
 &nbsp; <B>  <A NAME="tex2html2081"
  HREF="node1.html">Contents</A></B> 
<BR>
<BR>
<!--End of Navigation Panel-->

<H3><A NAME="SECTION00075200000000000000">
Pipe, White-Colebrook</A>
</H3>

<P>
This is a straight pipe with constant section and head losses <!-- MATH
 $\Delta_1^2 F$
 -->
<IMG
 WIDTH="37" HEIGHT="34" ALIGN="MIDDLE" BORDER="0"
 SRC="img500.png"
 ALT="$ \Delta_1^2 F$">
defined by the formula:

<P>
<P></P>
<DIV ALIGN="CENTER"><!-- MATH
 \begin{equation}
\Delta_1^2 F = \frac{f \dot{m}^2 L}{2 g \rho^2 A^2 D},
\end{equation}
 -->
<TABLE CELLPADDING="0" WIDTH="100%" ALIGN="CENTER">
<TR VALIGN="MIDDLE">
<TD NOWRAP ALIGN="CENTER"><IMG
 WIDTH="131" HEIGHT="57" ALIGN="MIDDLE" BORDER="0"
 SRC="img506.png"
 ALT="$\displaystyle \Delta_1^2 F = \frac{f \dot{m}^2 L}{2 g \rho^2 A^2 D},$"></TD>
<TD NOWRAP WIDTH="10" ALIGN="RIGHT">
(77)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL"><P></P>

<P>
where f is the White-Colebrook coefficient (dimensionless), <IMG
 WIDTH="18" HEIGHT="17" ALIGN="BOTTOM" BORDER="0"
 SRC="img335.png"
 ALT="$ \dot{m}$"> is the
mass flux, L is the length of the pipe, g is the gravity
acceleration (<!-- MATH
 $9.81 \text{m}/\text{s}^2$
 -->
<IMG
 WIDTH="33" HEIGHT="13" ALIGN="BOTTOM" BORDER="0"
 SRC="img507.png"
 ALT="$ 9.81$">&nbsp; &nbsp;m<IMG
 WIDTH="12" HEIGHT="32" ALIGN="MIDDLE" BORDER="0"
 SRC="img1.png"
 ALT="$ /$">s<IMG
 WIDTH="12" HEIGHT="18" ALIGN="BOTTOM" BORDER="0"
 SRC="img3.png"
 ALT="$ ^2$">), A is the cross section of the pipe
and D is the diameter. The White-Colebrook coefficient satisfies the
following implicit equation:

<P>
<P></P>
<DIV ALIGN="CENTER"><A NAME="whitecolebrook"></A><!-- MATH
 \begin{equation}
\frac{1}{\sqrt{f}} = -2.03 \log \left( \frac{2.51}{\text{Re}\sqrt{f}} +
\frac{k_s}{3.7 D} \right).
\end{equation}
 -->
<TABLE CELLPADDING="0" WIDTH="100%" ALIGN="CENTER">
<TR VALIGN="MIDDLE">
<TD NOWRAP ALIGN="CENTER"><IMG
 WIDTH="252" HEIGHT="54" ALIGN="MIDDLE" BORDER="0"
 SRC="img383.png"
 ALT="$\displaystyle \frac{1}{\sqrt{f}} = -2.03 \log \left( \frac{2.51}{\text{Re}\sqrt{f}} + \frac{k_s}{3.7 D} \right).$"></TD>
<TD NOWRAP WIDTH="10" ALIGN="RIGHT">
(78)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL"><P></P>

<P>
Here, <IMG
 WIDTH="20" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img384.png"
 ALT="$ k_s$"> is the diameter of the material grains at the surface of the pipe
and Re is the Reynolds number defined by

<P>
<P></P>
<DIV ALIGN="CENTER"><!-- MATH
 \begin{equation}
\text{Re} = \frac{U D}{\nu},
\end{equation}
 -->
<TABLE CELLPADDING="0" WIDTH="100%" ALIGN="CENTER">
<TR VALIGN="MIDDLE">
<TD NOWRAP ALIGN="CENTER">Re<IMG
 WIDTH="56" HEIGHT="53" ALIGN="MIDDLE" BORDER="0"
 SRC="img385.png"
 ALT="$\displaystyle = \frac{U D}{\nu},$"></TD>
<TD NOWRAP WIDTH="10" ALIGN="RIGHT">
(79)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL"><P></P>

<P>
where <IMG
 WIDTH="17" HEIGHT="14" ALIGN="BOTTOM" BORDER="0"
 SRC="img386.png"
 ALT="$ U$"> is the liquid velocity and <IMG
 WIDTH="13" HEIGHT="13" ALIGN="BOTTOM" BORDER="0"
 SRC="img148.png"
 ALT="$ \nu$"> is the kinematic viscosity. It
satisfies <!-- MATH
 $\nu=\mu/\rho$
 -->
<IMG
 WIDTH="60" HEIGHT="32" ALIGN="MIDDLE" BORDER="0"
 SRC="img508.png"
 ALT="$ \nu=\mu/\rho$"> where <IMG
 WIDTH="14" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img48.png"
 ALT="$ \mu$"> is the dynamic viscosity.

<P>
The following constants have to be specified on the
 line beneath the <A HREF="node244.html#fluidsection">*FLUID SECTION</A>, TYPE=PIPE WHITE-COLEBROOK card:

<P>

<UL>
<LI>area of the cross section
</LI>
<LI>hydraulic diameter of the cross section (4 times the area divided by the
  perimeter)
</LI>
<LI>length of the pipe element; if this number is nonpositive the length is
  calculated from the coordinates of the pipe's end nodes.
</LI>
<LI>the grain diameter <IMG
 WIDTH="20" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img384.png"
 ALT="$ k_s$">
</LI>
<LI>form factor <IMG
 WIDTH="15" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img387.png"
 ALT="$ \varphi$"> of the cross section 
</LI>
</UL>

<P>
The gravity acceleration must be specified by a gravity type
<A HREF="node227.html#dload">*DLOAD</A> card defined for the elements at stake. The material
characteristics <IMG
 WIDTH="13" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img30.png"
 ALT="$ \rho$"> and <IMG
 WIDTH="14" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img48.png"
 ALT="$ \mu$"> can be defined by a
<A HREF="node222.html#density">*DENSITY</A> and <A HREF="node243.html#fluidconstants">*FLUID CONSTANTS</A>
card. Typical values for <IMG
 WIDTH="20" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img384.png"
 ALT="$ k_s$"> are 0.25 mm for cast iron, 0.1 mm for welded
steel, 1.2 mm for concrete, 0.006 mm for copper and 0.003 mm for glass.

<P>
The form factor <IMG
 WIDTH="15" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img387.png"
 ALT="$ \varphi$"> is only used to modify the friction expression for
non-circular cross sections in the laminar
regime as follows:

<P>
<P></P>
<DIV ALIGN="CENTER"><!-- MATH
 \begin{equation}
f=\varphi \frac{64}{\text{Re}}.
\end{equation}
 -->
<TABLE CELLPADDING="0" WIDTH="100%" ALIGN="CENTER">
<TR VALIGN="MIDDLE">
<TD NOWRAP ALIGN="CENTER"><IMG
 WIDTH="73" HEIGHT="50" ALIGN="MIDDLE" BORDER="0"
 SRC="img388.png"
 ALT="$\displaystyle f=\varphi \frac{64}{\text{Re}}.$"></TD>
<TD NOWRAP WIDTH="10" ALIGN="RIGHT">
(80)</TD></TR>
</TABLE></DIV>
<BR CLEAR="ALL"><P></P>

<P>
Values for <IMG
 WIDTH="15" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img387.png"
 ALT="$ \varphi$"> for several cross sections can be found in
[<A
 HREF="node378.html#Bohl">13</A>]. For a square cross section its value is 0.88, for a rectangle
with a height to width ratio of 2 its value is 0.97.

<P>
By specifying the addition FLEXIBLE in the type label the user can create a
flexible pipe. In that case the user specifies two nodes, the distance between
them being the radius of the pipe. These nodes have to be
genuine structural nodes and should not belong to the fluid network. The distance is calculated from the
location of the nodes at the start of the calculation modified by any
displacements affecting the nodes. Consequently, the use of the
<A HREF="node215.html#coupledtemperaturedisplacement">*COUPLED TEMPERATURE-DISPLACEMENT</A>
keyword allows for a coupling of the deformation of the pipe wall with the
flow in the pipe. 
The following constants have to be specified on the
 line beneath the <A HREF="node244.html#fluidsection">*FLUID SECTION</A>, TYPE=PIPE
 WHITE-COLEBROOK FLEXIBLE card:

<P>

<UL>
<LI>node number 1
</LI>
<LI>node number 2
</LI>
<LI>length of the pipe element; if this number is nonpositive the length is
  calculated from the coordinates of the pipe's end nodes.
</LI>
<LI>the grain diameter <IMG
 WIDTH="20" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img384.png"
 ALT="$ k_s$">
</LI>
<LI>form factor <IMG
 WIDTH="15" HEIGHT="30" ALIGN="MIDDLE" BORDER="0"
 SRC="img387.png"
 ALT="$ \varphi$"> of the cross section 
</LI>
</UL>

<P>

<P><P>
<BR>
Example files: pipe2.

<P>
<HR>
<!--Navigation Panel-->
<A NAME="tex2html2082"
  HREF="node93.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="file:/usr/share/latex2html/icons/next.png"></A> 
<A NAME="tex2html2078"
  HREF="node90.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="file:/usr/share/latex2html/icons/up.png"></A> 
<A NAME="tex2html2072"
  HREF="node91.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="file:/usr/share/latex2html/icons/prev.png"></A> 
<A NAME="tex2html2080"
  HREF="node1.html">
<IMG WIDTH="65" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="contents"
 SRC="file:/usr/share/latex2html/icons/contents.png"></A>  
<BR>
<B> Next:</B> <A NAME="tex2html2083"
  HREF="node93.html">Pipe, Sudden Enlargement</A>
<B> Up:</B> <A NAME="tex2html2079"
  HREF="node90.html">Fluid Section Types: Liquids</A>
<B> Previous:</B> <A NAME="tex2html2073"
  HREF="node91.html">Pipe, Manning</A>
 &nbsp; <B>  <A NAME="tex2html2081"
  HREF="node1.html">Contents</A></B> 
<!--End of Navigation Panel-->
<ADDRESS>
guido dhondt
2016-07-31
</ADDRESS>
</BODY>
</HTML>
